﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.WindowsAzure.StorageClient;
using Microsoft.WindowsAzure;
namespace WebRoleTable
{
    public class clsCustomer : TableServiceEntity
    {

        private string _strCustomerCode;
        private string _strCustomerName;
        public string CustomerCode
        {
            set
            {
                _strCustomerCode = value;
            }
            get
            {
                return _strCustomerCode;
            }
        }
        public string CustomerName
        {
            set
            {
                _strCustomerName = value;
            }
            get
            {
                return _strCustomerName;
            }

        }

        public clsCustomer()
        {
            PartitionKey = "Customers";
            RowKey = DateTime.Now.Ticks.ToString();
        }
    }

    public class clsCustomerDataContext : TableServiceContext
    {
        public clsCustomerDataContext(string baseAddress, StorageCredentials credentials)
            : base(baseAddress, credentials)
        {
        }
        
        public IQueryable<clsCustomer> Customers
        {
            get
            {
                return this.CreateQuery<clsCustomer>("Customers");
            }
        }
        
        public void AddCustomer(clsCustomer objCustomer)
        {
            this.AddObject("Customers", objCustomer);
            this.SaveChanges();
        }
    }
}